pecl install SPL_Types many problems

Bug #346535 reported by Alban

This bug report was converted into a question: question #66141: pecl install SPL_Types many problems.

2
Affects Status Importance Assigned to Milestone
php5 (Ubuntu)
Undecided
Unassigned

Bug Description

Binary package hint: php-pear

Hello all,

I never use Pear package or Pecl package for my PHP project. Today i wan't to try the pecl SPL_Types extensions for a new project.

Firstly I install php-pear to get the pecl command.
Secondly I try this : pecl install SPL_Types

SPL_Dowbloading is good, but, after, an error occurs : phpize command found.

Ok, I install php5-dev and retry the command "pecl install SPL_Types" and new error : make command not found.
Ok, I install buil:d-essentials packet. New try : "pecl install SPL_Types". At the make time new warning : re2c not found.
Ok, I install re2c and new try : "pecl install SPL_Types" and new error :

In file included from /usr/include/php5/ext/spl/spl_iterators.h:27,
                 from /tmp/pear/download/SPL_Types/spl_type.c:34:
/usr/include/php5/ext/pcre/php_pcre.h:29:18: error: pcre.h: Aucun fichier ou dossier de ce type
In file included from /usr/include/php5/ext/spl/spl_iterators.h:27,
                 from /tmp/pear/download/SPL_Types/spl_type.c:34:
/usr/include/php5/ext/pcre/php_pcre.h:45: erreur: expected ‘=’, ‘,’, ‘;’, ‘asm’ or ‘__attribute__’ before ‘*’ token
/usr/include/php5/ext/pcre/php_pcre.h:46: erreur: expected ‘=’, ‘,’, ‘;’, ‘asm’ or ‘__attribute__’ before ‘*’ token
/usr/include/php5/ext/pcre/php_pcre.h:52: erreur: expected specifier-qualifier-list before ‘pcre’
make: *** [spl_type.lo] Erreur 1

At this time i can't do more, too complicated for me.
But I try to understand : php-pear include pecl command, pecl command ever use phpize command. phpize command is included only in php5-dev packet. Why php-pear command doas'nt have php5-dev dependencie ?

ProblemType: Bug
Architecture: i386
DistroRelease: Ubuntu 8.10
Package: php-pear 5.2.6-2ubuntu4.1
PackageArchitecture: all
ProcEnviron:
 PATH=/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin:/usr/games
 LANG=fr_FR.UTF-8
 SHELL=/bin/bash
SourcePackage: php5
Uname: Linux 2.6.27-11-generic i686

Revision history for this message
Alban (seza) wrote :
Chuck Short (zulcss)
Changed in php5 (Ubuntu):
status: New → Invalid
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers

Related questions